org.icefaces.ace.component.confirmationdialog

## Class ConfirmationDialogBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - org.icefaces.ace.component.confirmationdialog.ConfirmationDialogBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IConfirmationDialog
  Direct Known Subclasses:
    ConfirmationDialog

      public abstract class ConfirmationDialogBase
      extends javax.faces.component.UIPanel
      implements IConfirmationDialog

  The Confirmation Dialog is a component that displays a dialog that asks users to confirm or cancel their actions. If position of dialog is out of place, try putting it as last child of body.

  For more information, see the ConfirmationDialog Wiki Documentation.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `ConfirmationDialogBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIPanel

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfirmationDialogBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getHeader()` Return the value of the `header` property.
    `int` | `getHeight()` Return the value of the `height` property.
    `java.lang.String` | `getHideEffect()` Return the value of the `hideEffect` property.
    `java.lang.String` | `getMessage()` Return the value of the `message` property.
    `java.lang.String` | `getPosition()` Return the value of the `position` property.
    `java.lang.String` | `getSeverity()` Return the value of the `severity` property.
    `java.lang.String` | `getShowEffect()` Return the value of the `showEffect` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.String` | `getWidgetVar()` Return the value of the `widgetVar` property.
    `int` | `getWidth()` Return the value of the `width` property.
    `int` | `getZindex()` Return the value of the `zindex` property.
    `boolean` | `isClosable()` Return the value of the `closable` property.
    `boolean` | `isCloseOnEscape()` Return the value of the `closeOnEscape` property.
    `boolean` | `isDraggable()` Return the value of the `draggable` property.
    `boolean` | `isModal()` Return the value of the `modal` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `void` | `setClosable(boolean closable)` Set the value of the `closable` property.
    `void` | `setCloseOnEscape(boolean closeOnEscape)` Set the value of the `closeOnEscape` property.
    `void` | `setDraggable(boolean draggable)` Set the value of the `draggable` property.
    `void` | `setHeader(java.lang.String header)` Set the value of the `header` property.
    `void` | `setHeight(int height)` Set the value of the `height` property.
    `void` | `setHideEffect(java.lang.String hideEffect)` Set the value of the `hideEffect` property.
    `void` | `setMessage(java.lang.String message)` Set the value of the `message` property.
    `void` | `setModal(boolean modal)` Set the value of the `modal` property.
    `void` | `setPosition(java.lang.String position)` Set the value of the `position` property.
    `void` | `setSeverity(java.lang.String severity)` Set the value of the `severity` property.
    `void` | `setShowEffect(java.lang.String showEffect)` Set the value of the `showEffect` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`
    `void` | `setWidgetVar(java.lang.String widgetVar)` Set the value of the `widgetVar` property.
    `void` | `setWidth(int width)` Set the value of the `width` property.
    `void` | `setZindex(int zindex)` Set the value of the `zindex` property.

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConfirmationDialogBase

          public ConfirmationDialogBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIPanel`

    - #### setClosable

          public void setClosable(boolean closable)

      Set the value of the `closable` property.

      Contents: Specifies if close button should be displayed or not.

      Specified by:
        `setClosable` in interface `IConfirmationDialog`

    - #### isClosable

          public boolean isClosable()

      Return the value of the `closable` property.

      Contents: Specifies if close button should be displayed or not. Default = 'true'.

      Specified by:
        `isClosable` in interface `IConfirmationDialog`

    - #### setCloseOnEscape

          public void setCloseOnEscape(boolean closeOnEscape)

      Set the value of the `closeOnEscape` property.

      Contents: Specifies if dialog should be closed when escape key is pressed.

      Specified by:
        `setCloseOnEscape` in interface `IConfirmationDialog`

    - #### isCloseOnEscape

          public boolean isCloseOnEscape()

      Return the value of the `closeOnEscape` property.

      Contents: Specifies if dialog should be closed when escape key is pressed. Default = 'true'.

      Specified by:
        `isCloseOnEscape` in interface `IConfirmationDialog`

    - #### setDraggable

          public void setDraggable(boolean draggable)

      Set the value of the `draggable` property.

      Contents: Controls draggability.

      Specified by:
        `setDraggable` in interface `IConfirmationDialog`

    - #### isDraggable

          public boolean isDraggable()

      Return the value of the `draggable` property.

      Contents: Controls draggability. Default = 'true'.

      Specified by:
        `isDraggable` in interface `IConfirmationDialog`

    - #### setHeader

          public void setHeader(java.lang.String header)

      Set the value of the `header` property.

      Contents: Text for the header.

      Specified by:
        `setHeader` in interface `IConfirmationDialog`

    - #### getHeader

          public java.lang.String getHeader()

      Return the value of the `header` property.

      Contents: Text for the header.

      Specified by:
        `getHeader` in interface `IConfirmationDialog`

    - #### setHeight

          public void setHeight(int height)

      Set the value of the `height` property.

      Contents: Height of the dialog in pixels.

      Specified by:
        `setHeight` in interface `IConfirmationDialog`

    - #### getHeight

          public int getHeight()

      Return the value of the `height` property.

      Contents: Height of the dialog in pixels. Default = 'Integer.MIN_VALUE'.

      Specified by:
        `getHeight` in interface `IConfirmationDialog`

    - #### setHideEffect

          public void setHideEffect(java.lang.String hideEffect)

      Set the value of the `hideEffect` property.

      Contents: Effect to use when hiding the dialog. Possible values are 'blind', 'clip', 'drop', 'explode, 'fade', 'fold', 'puff', 'slide', 'scale', 'bounce', 'highlight', and 'shake' (Some effects are not supported in IE browsers, see wiki page for more information).

      Specified by:
        `setHideEffect` in interface `IConfirmationDialog`

    - #### getHideEffect

          public java.lang.String getHideEffect()

      Return the value of the `hideEffect` property.

      Contents: Effect to use when hiding the dialog. Possible values are 'blind', 'clip', 'drop', 'explode, 'fade', 'fold', 'puff', 'slide', 'scale', 'bounce', 'highlight', and 'shake' (Some effects are not supported in IE browsers, see wiki page for more information).

      Specified by:
        `getHideEffect` in interface `IConfirmationDialog`

    - #### setMessage

          public void setMessage(java.lang.String message)

      Set the value of the `message` property.

      Contents: Text to be displayed in body.

      Specified by:
        `setMessage` in interface `IConfirmationDialog`

    - #### getMessage

          public java.lang.String getMessage()

      Return the value of the `message` property.

      Contents: Text to be displayed in body.

      Specified by:
        `getMessage` in interface `IConfirmationDialog`

    - #### setModal

          public void setModal(boolean modal)

      Set the value of the `modal` property.

      Contents: Boolean value that specifies whether the document should be shielded with a partially transparent mask to require the user to close the Panel before being able to activate any elements in the document.

      Specified by:
        `setModal` in interface `IConfirmationDialog`

    - #### isModal

          public boolean isModal()

      Return the value of the `modal` property.

      Contents: Boolean value that specifies whether the document should be shielded with a partially transparent mask to require the user to close the Panel before being able to activate any elements in the document. Default = 'false'.

      Specified by:
        `isModal` in interface `IConfirmationDialog`

    - #### setPosition

          public void setPosition(java.lang.String position)

      Set the value of the `position` property.

      Contents: Specifies where the dialog should be displayed. Possible values: 1) a single string representing position within viewport: 'center', 'left', 'right', 'top', 'bottom'. 2) an array containing an x,y coordinate pair in pixel offset from left, top corner of viewport (e.g. [350,100]) 3) an array containing x,y position string values (e.g. ['right','top'] for top right corner).

      Specified by:
        `setPosition` in interface `IConfirmationDialog`

    - #### getPosition

          public java.lang.String getPosition()

      Return the value of the `position` property.

      Contents: Specifies where the dialog should be displayed. Possible values: 1) a single string representing position within viewport: 'center', 'left', 'right', 'top', 'bottom'. 2) an array containing an x,y coordinate pair in pixel offset from left, top corner of viewport (e.g. [350,100]) 3) an array containing x,y position string values (e.g. ['right','top'] for top right corner).

      Specified by:
        `getPosition` in interface `IConfirmationDialog`

    - #### setSeverity

          public void setSeverity(java.lang.String severity)

      Set the value of the `severity` property.

      Contents: Message severity for the dislayed icon. Value can be whatever is appended to ".ui-icon-" in the theme stylesheet.

      Specified by:
        `setSeverity` in interface `IConfirmationDialog`

    - #### getSeverity

          public java.lang.String getSeverity()

      Return the value of the `severity` property.

      Contents: Message severity for the dislayed icon. Value can be whatever is appended to ".ui-icon-" in the theme stylesheet. Default = 'alert'.

      Specified by:
        `getSeverity` in interface `IConfirmationDialog`

    - #### setShowEffect

          public void setShowEffect(java.lang.String showEffect)

      Set the value of the `showEffect` property.

      Contents: Effect to use when showing the dialog. Possible values are 'blind', 'clip', 'drop', 'explode, 'fade', 'fold', 'puff', 'slide', 'scale', 'bounce', 'highlight', 'pulsate', and 'shake' (Some effects are not supported in IE7, see wiki page for more information).

      Specified by:
        `setShowEffect` in interface `IConfirmationDialog`

    - #### getShowEffect

          public java.lang.String getShowEffect()

      Return the value of the `showEffect` property.

      Contents: Effect to use when showing the dialog. Possible values are 'blind', 'clip', 'drop', 'explode, 'fade', 'fold', 'puff', 'slide', 'scale', 'bounce', 'highlight', 'pulsate', and 'shake' (Some effects are not supported in IE7, see wiki page for more information).

      Specified by:
        `getShowEffect` in interface `IConfirmationDialog`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Contents: Style class of the dialog container.

      Specified by:
        `setStyleClass` in interface `IConfirmationDialog`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Contents: Style class of the dialog container.

      Specified by:
        `getStyleClass` in interface `IConfirmationDialog`

    - #### setWidgetVar

          public void setWidgetVar(java.lang.String widgetVar)

      Set the value of the `widgetVar` property.

      Contents: Name of the widget to access client side api

      Specified by:
        `setWidgetVar` in interface `IConfirmationDialog`

    - #### getWidgetVar

          public java.lang.String getWidgetVar()

      Return the value of the `widgetVar` property.

      Contents: Name of the widget to access client side api

      Specified by:
        `getWidgetVar` in interface `IConfirmationDialog`

    - #### setWidth

          public void setWidth(int width)

      Set the value of the `width` property.

      Contents: Width of the dialog in pixels.

      Specified by:
        `setWidth` in interface `IConfirmationDialog`

    - #### getWidth

          public int getWidth()

      Return the value of the `width` property.

      Contents: Width of the dialog in pixels. Default = '300'.

      Specified by:
        `getWidth` in interface `IConfirmationDialog`

    - #### setZindex

          public void setZindex(int zindex)

      Set the value of the `zindex` property.

      Contents: zindex property to control overlapping with other elements.

      Specified by:
        `setZindex` in interface `IConfirmationDialog`

    - #### getZindex

          public int getZindex()

      Return the value of the `zindex` property.

      Contents: zindex property to control overlapping with other elements. Default = '1000'.

      Specified by:
        `getZindex` in interface `IConfirmationDialog`

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.